Package org.codehaus.groovy.runtime

# Class GroovyCategorySupport.CategoryMethod

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
groovy.lang.MetaMethod
org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod
org.codehaus.groovy.runtime.metaclass.NewMetaMethod
org.codehaus.groovy.runtime.metaclass.NewInstanceMetaMethod
org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod

All Implemented Interfaces:
  `Cloneable`, `Comparable`

Enclosing class:
  `GroovyCategorySupport`

public static class GroovyCategorySupport.CategoryMethod extends NewInstanceMetaMethod implements Comparable

## Field Summary

### Fields inherited from class org.codehaus.groovy.runtime.metaclass.NewMetaMethod

`bytecodeParameterTypes, EMPTY_TYPE_ARRAY`

### Fields inherited from class org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod

`method`

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

## Constructor Summary

Constructors
Constructor
Description
`CategoryMethod(CachedMethod metaMethod, Class metaClass)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
Sort by most specific to least specific.
`boolean`
`isCacheable()`
Returns whether this object is cacheable

### Methods inherited from class org.codehaus.groovy.runtime.metaclass.NewInstanceMetaMethod

`getModifiers, invoke, isStatic`

### Methods inherited from class org.codehaus.groovy.runtime.metaclass.NewMetaMethod

`getBytecodeParameterTypes, getDeclaringClass, getOwnerClass`

### Methods inherited from class org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod

`getCachedMethod, getName, getPT, getReturnType, toString`

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isMethod, isPrivate, isProtected, isPublic, isSame, processDoMethodInvokeException`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CategoryMethod

public CategoryMethod(CachedMethod metaMethod, Class metaClass)

## Method Details

### isCacheable

public boolean isCacheable()
Description copied from class: `MetaMethod`
Returns whether this object is cacheable

Overrides:
  `isCacheable` in class `MetaMethod`

### compareTo

public int compareTo(Object o)
Sort by most specific to least specific.

Specified by:
  `compareTo` in interface `Comparable`
Parameters:
  `o` - the object to compare against